Summary:	Authoritative dns server for A/AAAA container records
Name:		aardvark-dns
Version:	1.15.0
Release:	1
License:	Apache v2.0
Group:		Applications/System
Source0:	https://github.com/containers/aardvark-dns/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8b6736e872e9eb3603a19168c359ecc4
Source1:	https://github.com/containers/aardvark-dns/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz
# Source1-md5:	646453e7e34e733544171f9e86a60039
URL:		https://github.com/containers/aardvark-dns
BuildRequires:	cargo
BuildRequires:	rpmbuild(macros) >= 2.004
BuildRequires:	rust
ExclusiveArch:	%{rust_arches}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aardvark-dns is an authoritative dns server for A/AAAA container
records. It can forward other requests to configured resolvers.

%prep
%setup -q -a1

# use our offline registry
export CARGO_HOME="$(pwd)/.cargo"

mkdir -p "$CARGO_HOME"
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'

[source.vendored-sources]
directory = '$PWD/vendor'
EOF

%build
export CARGO_HOME="$(pwd)/.cargo"

%cargo_build

%install
rm -rf $RPM_BUILD_ROOT
export CARGO_HOME="$(pwd)/.cargo"

install -D %cargo_objdir/aardvark-dns $RPM_BUILD_ROOT%{_libexecdir}/podman/aardvark-dns

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md RELEASE_NOTES.md
%attr(755,root,root) %{_libexecdir}/podman/aardvark-dns
%changelog
* Mon Jun 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aardvark-dns.git;a=log;h=master

* Wed May 28 2025 Jan Palus <atler@pld-linux.org> 52de438
- up to 1.15.0

* Thu Feb 13 2025 Jan Palus <atler@pld-linux.org> 7cdcb35
- up to 1.14.0

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> 0aacd24
- up to 1.13.0

* Thu Aug 01 2024 Jan Palus <atler@pld-linux.org> c702e5c
- up to 1.12.0

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> 06573bf
- up to 1.11.0

* Thu Jan 25 2024 Jan Palus <atler@pld-linux.org> 0e4ef77
- up to 1.10.0

* Tue Nov 28 2023 Jan Palus <atler@pld-linux.org> 6050c69
- up to 1.9.0

* Thu Sep 28 2023 Jan Palus <atler@pld-linux.org> 576a7fe
- up to 1.8.0

* Thu Jun 29 2023 Jan Palus <atler@pld-linux.org> 688271b
- up to 1.7.0

* Wed May 24 2023 Jan Palus <atler@pld-linux.org> b977763
- up to 1.6.0

* Thu Feb 02 2023 Jan Palus <atler@pld-linux.org> 2bd0180
- new

